<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZExpansion: ExpansionBookMenuTabServerInfo Class Reference</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZExpansion<span id="projectnumber">&#160;1.7.12</span>
   </div>
   <div id="projectbrief">DayZExpansion Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('dd/d65/class_expansion_book_menu_tab_server_info.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="summary">
<a href="#pri-methods">Private Member Functions</a> &#124;
<a href="#pri-attribs">Private Attributes</a>  </div>
  <div class="headertitle"><div class="title">ExpansionBookMenuTabServerInfo Class Reference</div></div>
</div><!--header-->
<div class="contents">
<div class="dynheader">
Inheritance diagram for ExpansionBookMenuTabServerInfo:</div>
<div class="dyncontent">
 <div class="center">
  <img src="../../dd/d65/class_expansion_book_menu_tab_server_info.png" usemap="#ExpansionBookMenuTabServerInfo_map" alt=""/>
  <map id="ExpansionBookMenuTabServerInfo_map" name="ExpansionBookMenuTabServerInfo_map">
<area href="../../dd/df2/class_expansion_book_menu_tab_base.html" alt="ExpansionBookMenuTabBase" shape="rect" coords="0,0,211,24"/>
  </map>
</div></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-methods" name="pri-methods"></a>
Private Member Functions</h2></td></tr>
<tr class="memitem:a0785f7c5858a89d9f25c160dfdd7f021"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dd/d65/class_expansion_book_menu_tab_server_info.html#a0785f7c5858a89d9f25c160dfdd7f021">ExpansionBookMenuTabServerInfo</a> (<a class="el" href="../../dc/de1/class_expansion_book_menu.html">ExpansionBookMenu</a> book_menu)</td></tr>
<tr class="separator:a0785f7c5858a89d9f25c160dfdd7f021"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aab50a2c2f781ba9ebe91c7b3ceb5a3a9"><td class="memItemLeft" align="right" valign="top">override string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dd/d65/class_expansion_book_menu_tab_server_info.html#aab50a2c2f781ba9ebe91c7b3ceb5a3a9">GetLayoutFile</a> ()</td></tr>
<tr class="separator:aab50a2c2f781ba9ebe91c7b3ceb5a3a9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a58c6ec11e4f91eaa4a8dd2e0292a963f"><td class="memItemLeft" align="right" valign="top">override&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dd/d65/class_expansion_book_menu_tab_server_info.html#a58c6ec11e4f91eaa4a8dd2e0292a963f">GetControllerType</a> ()</td></tr>
<tr class="separator:a58c6ec11e4f91eaa4a8dd2e0292a963f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a96bbfe6be868b2d226bfdcc216a15d85"><td class="memItemLeft" align="right" valign="top">override string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dd/d65/class_expansion_book_menu_tab_server_info.html#a96bbfe6be868b2d226bfdcc216a15d85">GetTabIconName</a> ()</td></tr>
<tr class="separator:a96bbfe6be868b2d226bfdcc216a15d85"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae9e7cd3f8e9fba977154b50058982ad7"><td class="memItemLeft" align="right" valign="top">override string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dd/d65/class_expansion_book_menu_tab_server_info.html#ae9e7cd3f8e9fba977154b50058982ad7">GetTabName</a> ()</td></tr>
<tr class="separator:ae9e7cd3f8e9fba977154b50058982ad7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a538a5bf75c0f96f58d62b72f13655757"><td class="memItemLeft" align="right" valign="top">override int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dd/d65/class_expansion_book_menu_tab_server_info.html#a538a5bf75c0f96f58d62b72f13655757">GetTabColor</a> ()</td></tr>
<tr class="separator:a538a5bf75c0f96f58d62b72f13655757"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a84c07d44939e0a1bceeeb49482c2067d"><td class="memItemLeft" align="right" valign="top">override bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dd/d65/class_expansion_book_menu_tab_server_info.html#a84c07d44939e0a1bceeeb49482c2067d">CanShow</a> ()</td></tr>
<tr class="separator:a84c07d44939e0a1bceeeb49482c2067d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab9a3fcaec7c74c9a8eaa79186864637b"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dd/d65/class_expansion_book_menu_tab_server_info.html#ab9a3fcaec7c74c9a8eaa79186864637b">OnShow</a> ()</td></tr>
<tr class="separator:ab9a3fcaec7c74c9a8eaa79186864637b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7af46308e1a7c3bf4d6f79d99b05fdaf"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dd/d65/class_expansion_book_menu_tab_server_info.html#a7af46308e1a7c3bf4d6f79d99b05fdaf">OnHide</a> ()</td></tr>
<tr class="separator:a7af46308e1a7c3bf4d6f79d99b05fdaf"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7c5a64eb5bd9f3974269ded81b339e88"><td class="memItemLeft" align="right" valign="top">override bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dd/d65/class_expansion_book_menu_tab_server_info.html#a7c5a64eb5bd9f3974269ded81b339e88">IsParentTab</a> ()</td></tr>
<tr class="separator:a7c5a64eb5bd9f3974269ded81b339e88"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5d66eed9189993e74057be43371563db"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dd/d65/class_expansion_book_menu_tab_server_info.html#a5d66eed9189993e74057be43371563db">SetView</a> ()</td></tr>
<tr class="separator:a5d66eed9189993e74057be43371563db"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad57b9c30cd5ce65a8ab430b56cd21eb3"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dd/d65/class_expansion_book_menu_tab_server_info.html#ad57b9c30cd5ce65a8ab430b56cd21eb3">SetServerInfo</a> ()</td></tr>
<tr class="separator:ad57b9c30cd5ce65a8ab430b56cd21eb3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af9e4279f0f41415dcef0e10a18ac8b53"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dd/d65/class_expansion_book_menu_tab_server_info.html#af9e4279f0f41415dcef0e10a18ac8b53">AddSettings</a> ()</td></tr>
<tr class="separator:af9e4279f0f41415dcef0e10a18ac8b53"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af5a9fb9668a93019baf397d0efb23a50"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dd/d65/class_expansion_book_menu_tab_server_info.html#af5a9fb9668a93019baf397d0efb23a50">AddLinks</a> ()</td></tr>
<tr class="separator:af5a9fb9668a93019baf397d0efb23a50"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a056ce0fd7120b9d8a3148e07f6f1e2c6"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dd/d65/class_expansion_book_menu_tab_server_info.html#a056ce0fd7120b9d8a3148e07f6f1e2c6">RemoveLinks</a> ()</td></tr>
<tr class="separator:a056ce0fd7120b9d8a3148e07f6f1e2c6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:adbb16999ff44c19b94e8051f40f558e6"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dd/d65/class_expansion_book_menu_tab_server_info.html#adbb16999ff44c19b94e8051f40f558e6">AddDescriptions</a> ()</td></tr>
<tr class="separator:adbb16999ff44c19b94e8051f40f558e6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abec282076e6260a2d79713d994fa2328"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dd/d65/class_expansion_book_menu_tab_server_info.html#abec282076e6260a2d79713d994fa2328">RemoveDescriptions</a> ()</td></tr>
<tr class="separator:abec282076e6260a2d79713d994fa2328"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:affbd64872fecd839021a98c3a700fbec"><td class="memItemLeft" align="right" valign="top">override bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dd/d65/class_expansion_book_menu_tab_server_info.html#affbd64872fecd839021a98c3a700fbec">OnMouseEnter</a> (Widget w, int x, int y)</td></tr>
<tr class="separator:affbd64872fecd839021a98c3a700fbec"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:adb6b8b8e94114853d2b992db1d4a708a"><td class="memItemLeft" align="right" valign="top">override bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dd/d65/class_expansion_book_menu_tab_server_info.html#adb6b8b8e94114853d2b992db1d4a708a">OnMouseLeave</a> (Widget w, Widget enterW, int x, int y)</td></tr>
<tr class="separator:adb6b8b8e94114853d2b992db1d4a708a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad1e6671579e02cb7418774c7598cfb5b"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dd/d65/class_expansion_book_menu_tab_server_info.html#ad1e6671579e02cb7418774c7598cfb5b">OnBackButtonClick</a> ()</td></tr>
<tr class="separator:ad1e6671579e02cb7418774c7598cfb5b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3f02f2d008c75d2d1c697cfb85778298"><td class="memItemLeft" align="right" valign="top">override bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dd/d65/class_expansion_book_menu_tab_server_info.html#a3f02f2d008c75d2d1c697cfb85778298">IgnoreBackButtonBase</a> ()</td></tr>
<tr class="separator:a3f02f2d008c75d2d1c697cfb85778298"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-attribs" name="pri-attribs"></a>
Private Attributes</h2></td></tr>
<tr class="memitem:aea1da0224459ea09ea65ddff050e0f6b"><td class="memItemLeft" align="right" valign="top">ref <a class="el" href="../../d9/d3a/class_expansion_book_menu_tab_server_info_controller.html">ExpansionBookMenuTabServerInfoController</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dd/d65/class_expansion_book_menu_tab_server_info.html#aea1da0224459ea09ea65ddff050e0f6b">m_ServerInfoTabController</a></td></tr>
<tr class="separator:aea1da0224459ea09ea65ddff050e0f6b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa61f5b356a88b2c2fd6868ddef463c07"><td class="memItemLeft" align="right" valign="top">ref <a class="el" href="../../dc/dd0/class_expansion_tooltip_server_setting_entry.html">ExpansionTooltipServerSettingEntry</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dd/d65/class_expansion_book_menu_tab_server_info.html#aa61f5b356a88b2c2fd6868ddef463c07">m_Tooltip</a></td></tr>
<tr class="separator:aa61f5b356a88b2c2fd6868ddef463c07"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p ><a class="el" href="../../d8/d5e/expansionbookmenutabserverinfo_8c.html">ExpansionBookMenuTabServerInfo.c</a></p>
<p >DayZ Expansion Mod www.dayzexpansion.com © 2022 DayZ Expansion Mod Team</p>
<p >This work is licensed under the Creative Commons Attribution-NonCommercial-NoDerivatives 4.0 International License. To view a copy of this license, visit <a href="http://creativecommons.org/licenses/by-nc-nd/4.0/">http://creativecommons.org/licenses/by-nc-nd/4.0/</a>. </p>

<p class="definition">Definition at line <a class="el" href="../../d8/d5e/expansionbookmenutabserverinfo_8c_source.html#l00013">13</a> of file <a class="el" href="../../d8/d5e/expansionbookmenutabserverinfo_8c_source.html">expansionbookmenutabserverinfo.c</a>.</p>
</div><h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a id="a0785f7c5858a89d9f25c160dfdd7f021" name="a0785f7c5858a89d9f25c160dfdd7f021"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a0785f7c5858a89d9f25c160dfdd7f021">&#9670;&#160;</a></span>ExpansionBookMenuTabServerInfo()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void ExpansionBookMenuTabServerInfo::ExpansionBookMenuTabServerInfo </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../dc/de1/class_expansion_book_menu.html">ExpansionBookMenu</a>&#160;</td>
          <td class="paramname"><em>book_menu</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d8/d5e/expansionbookmenutabserverinfo_8c_source.html#l00018">18</a> of file <a class="el" href="../../d8/d5e/expansionbookmenutabserverinfo_8c_source.html">expansionbookmenutabserverinfo.c</a>.</p>

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a id="adbb16999ff44c19b94e8051f40f558e6" name="adbb16999ff44c19b94e8051f40f558e6"></a>
<h2 class="memtitle"><span class="permalink"><a href="#adbb16999ff44c19b94e8051f40f558e6">&#9670;&#160;</a></span>AddDescriptions()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void ExpansionBookMenuTabServerInfo::AddDescriptions </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d8/d5e/expansionbookmenutabserverinfo_8c_source.html#l00159">159</a> of file <a class="el" href="../../d8/d5e/expansionbookmenutabserverinfo_8c_source.html">expansionbookmenutabserverinfo.c</a>.</p>

</div>
</div>
<a id="af5a9fb9668a93019baf397d0efb23a50" name="af5a9fb9668a93019baf397d0efb23a50"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af5a9fb9668a93019baf397d0efb23a50">&#9670;&#160;</a></span>AddLinks()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void ExpansionBookMenuTabServerInfo::AddLinks </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d8/d5e/expansionbookmenutabserverinfo_8c_source.html#l00136">136</a> of file <a class="el" href="../../d8/d5e/expansionbookmenutabserverinfo_8c_source.html">expansionbookmenutabserverinfo.c</a>.</p>

</div>
</div>
<a id="af9e4279f0f41415dcef0e10a18ac8b53" name="af9e4279f0f41415dcef0e10a18ac8b53"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af9e4279f0f41415dcef0e10a18ac8b53">&#9670;&#160;</a></span>AddSettings()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void ExpansionBookMenuTabServerInfo::AddSettings </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d8/d5e/expansionbookmenutabserverinfo_8c_source.html#l00120">120</a> of file <a class="el" href="../../d8/d5e/expansionbookmenutabserverinfo_8c_source.html">expansionbookmenutabserverinfo.c</a>.</p>

</div>
</div>
<a id="a84c07d44939e0a1bceeeb49482c2067d" name="a84c07d44939e0a1bceeeb49482c2067d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a84c07d44939e0a1bceeeb49482c2067d">&#9670;&#160;</a></span>CanShow()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override bool ExpansionBookMenuTabServerInfo::CanShow </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d8/d5e/expansionbookmenutabserverinfo_8c_source.html#l00053">53</a> of file <a class="el" href="../../d8/d5e/expansionbookmenutabserverinfo_8c_source.html">expansionbookmenutabserverinfo.c</a>.</p>

</div>
</div>
<a id="a58c6ec11e4f91eaa4a8dd2e0292a963f" name="a58c6ec11e4f91eaa4a8dd2e0292a963f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a58c6ec11e4f91eaa4a8dd2e0292a963f">&#9670;&#160;</a></span>GetControllerType()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override ExpansionBookMenuTabServerInfo::GetControllerType </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d8/d5e/expansionbookmenutabserverinfo_8c_source.html#l00033">33</a> of file <a class="el" href="../../d8/d5e/expansionbookmenutabserverinfo_8c_source.html">expansionbookmenutabserverinfo.c</a>.</p>

</div>
</div>
<a id="aab50a2c2f781ba9ebe91c7b3ceb5a3a9" name="aab50a2c2f781ba9ebe91c7b3ceb5a3a9"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aab50a2c2f781ba9ebe91c7b3ceb5a3a9">&#9670;&#160;</a></span>GetLayoutFile()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override string ExpansionBookMenuTabServerInfo::GetLayoutFile </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d8/d5e/expansionbookmenutabserverinfo_8c_source.html#l00028">28</a> of file <a class="el" href="../../d8/d5e/expansionbookmenutabserverinfo_8c_source.html">expansionbookmenutabserverinfo.c</a>.</p>

</div>
</div>
<a id="a538a5bf75c0f96f58d62b72f13655757" name="a538a5bf75c0f96f58d62b72f13655757"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a538a5bf75c0f96f58d62b72f13655757">&#9670;&#160;</a></span>GetTabColor()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override int ExpansionBookMenuTabServerInfo::GetTabColor </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d8/d5e/expansionbookmenutabserverinfo_8c_source.html#l00048">48</a> of file <a class="el" href="../../d8/d5e/expansionbookmenutabserverinfo_8c_source.html">expansionbookmenutabserverinfo.c</a>.</p>

</div>
</div>
<a id="a96bbfe6be868b2d226bfdcc216a15d85" name="a96bbfe6be868b2d226bfdcc216a15d85"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a96bbfe6be868b2d226bfdcc216a15d85">&#9670;&#160;</a></span>GetTabIconName()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override string ExpansionBookMenuTabServerInfo::GetTabIconName </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d8/d5e/expansionbookmenutabserverinfo_8c_source.html#l00038">38</a> of file <a class="el" href="../../d8/d5e/expansionbookmenutabserverinfo_8c_source.html">expansionbookmenutabserverinfo.c</a>.</p>

</div>
</div>
<a id="ae9e7cd3f8e9fba977154b50058982ad7" name="ae9e7cd3f8e9fba977154b50058982ad7"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae9e7cd3f8e9fba977154b50058982ad7">&#9670;&#160;</a></span>GetTabName()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override string ExpansionBookMenuTabServerInfo::GetTabName </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d8/d5e/expansionbookmenutabserverinfo_8c_source.html#l00043">43</a> of file <a class="el" href="../../d8/d5e/expansionbookmenutabserverinfo_8c_source.html">expansionbookmenutabserverinfo.c</a>.</p>

</div>
</div>
<a id="a3f02f2d008c75d2d1c697cfb85778298" name="a3f02f2d008c75d2d1c697cfb85778298"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a3f02f2d008c75d2d1c697cfb85778298">&#9670;&#160;</a></span>IgnoreBackButtonBase()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override bool ExpansionBookMenuTabServerInfo::IgnoreBackButtonBase </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d8/d5e/expansionbookmenutabserverinfo_8c_source.html#l00189">189</a> of file <a class="el" href="../../d8/d5e/expansionbookmenutabserverinfo_8c_source.html">expansionbookmenutabserverinfo.c</a>.</p>

</div>
</div>
<a id="a7c5a64eb5bd9f3974269ded81b339e88" name="a7c5a64eb5bd9f3974269ded81b339e88"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a7c5a64eb5bd9f3974269ded81b339e88">&#9670;&#160;</a></span>IsParentTab()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override bool ExpansionBookMenuTabServerInfo::IsParentTab </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d8/d5e/expansionbookmenutabserverinfo_8c_source.html#l00074">74</a> of file <a class="el" href="../../d8/d5e/expansionbookmenutabserverinfo_8c_source.html">expansionbookmenutabserverinfo.c</a>.</p>

</div>
</div>
<a id="ad1e6671579e02cb7418774c7598cfb5b" name="ad1e6671579e02cb7418774c7598cfb5b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad1e6671579e02cb7418774c7598cfb5b">&#9670;&#160;</a></span>OnBackButtonClick()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override void ExpansionBookMenuTabServerInfo::OnBackButtonClick </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d8/d5e/expansionbookmenutabserverinfo_8c_source.html#l00184">184</a> of file <a class="el" href="../../d8/d5e/expansionbookmenutabserverinfo_8c_source.html">expansionbookmenutabserverinfo.c</a>.</p>

</div>
</div>
<a id="a7af46308e1a7c3bf4d6f79d99b05fdaf" name="a7af46308e1a7c3bf4d6f79d99b05fdaf"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a7af46308e1a7c3bf4d6f79d99b05fdaf">&#9670;&#160;</a></span>OnHide()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override void ExpansionBookMenuTabServerInfo::OnHide </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d8/d5e/expansionbookmenutabserverinfo_8c_source.html#l00066">66</a> of file <a class="el" href="../../d8/d5e/expansionbookmenutabserverinfo_8c_source.html">expansionbookmenutabserverinfo.c</a>.</p>

</div>
</div>
<a id="affbd64872fecd839021a98c3a700fbec" name="affbd64872fecd839021a98c3a700fbec"></a>
<h2 class="memtitle"><span class="permalink"><a href="#affbd64872fecd839021a98c3a700fbec">&#9670;&#160;</a></span>OnMouseEnter()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override bool ExpansionBookMenuTabServerInfo::OnMouseEnter </td>
          <td>(</td>
          <td class="paramtype">Widget&#160;</td>
          <td class="paramname"><em>w</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>x</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>y</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d8/d5e/expansionbookmenutabserverinfo_8c_source.html#l00174">174</a> of file <a class="el" href="../../d8/d5e/expansionbookmenutabserverinfo_8c_source.html">expansionbookmenutabserverinfo.c</a>.</p>

</div>
</div>
<a id="adb6b8b8e94114853d2b992db1d4a708a" name="adb6b8b8e94114853d2b992db1d4a708a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#adb6b8b8e94114853d2b992db1d4a708a">&#9670;&#160;</a></span>OnMouseLeave()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override bool ExpansionBookMenuTabServerInfo::OnMouseLeave </td>
          <td>(</td>
          <td class="paramtype">Widget&#160;</td>
          <td class="paramname"><em>w</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">Widget&#160;</td>
          <td class="paramname"><em>enterW</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>x</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>y</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d8/d5e/expansionbookmenutabserverinfo_8c_source.html#l00179">179</a> of file <a class="el" href="../../d8/d5e/expansionbookmenutabserverinfo_8c_source.html">expansionbookmenutabserverinfo.c</a>.</p>

</div>
</div>
<a id="ab9a3fcaec7c74c9a8eaa79186864637b" name="ab9a3fcaec7c74c9a8eaa79186864637b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab9a3fcaec7c74c9a8eaa79186864637b">&#9670;&#160;</a></span>OnShow()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override void ExpansionBookMenuTabServerInfo::OnShow </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d8/d5e/expansionbookmenutabserverinfo_8c_source.html#l00058">58</a> of file <a class="el" href="../../d8/d5e/expansionbookmenutabserverinfo_8c_source.html">expansionbookmenutabserverinfo.c</a>.</p>

</div>
</div>
<a id="abec282076e6260a2d79713d994fa2328" name="abec282076e6260a2d79713d994fa2328"></a>
<h2 class="memtitle"><span class="permalink"><a href="#abec282076e6260a2d79713d994fa2328">&#9670;&#160;</a></span>RemoveDescriptions()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void ExpansionBookMenuTabServerInfo::RemoveDescriptions </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d8/d5e/expansionbookmenutabserverinfo_8c_source.html#l00168">168</a> of file <a class="el" href="../../d8/d5e/expansionbookmenutabserverinfo_8c_source.html">expansionbookmenutabserverinfo.c</a>.</p>

</div>
</div>
<a id="a056ce0fd7120b9d8a3148e07f6f1e2c6" name="a056ce0fd7120b9d8a3148e07f6f1e2c6"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a056ce0fd7120b9d8a3148e07f6f1e2c6">&#9670;&#160;</a></span>RemoveLinks()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void ExpansionBookMenuTabServerInfo::RemoveLinks </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d8/d5e/expansionbookmenutabserverinfo_8c_source.html#l00149">149</a> of file <a class="el" href="../../d8/d5e/expansionbookmenutabserverinfo_8c_source.html">expansionbookmenutabserverinfo.c</a>.</p>

</div>
</div>
<a id="ad57b9c30cd5ce65a8ab430b56cd21eb3" name="ad57b9c30cd5ce65a8ab430b56cd21eb3"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad57b9c30cd5ce65a8ab430b56cd21eb3">&#9670;&#160;</a></span>SetServerInfo()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void ExpansionBookMenuTabServerInfo::SetServerInfo </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p >Get and set basic server information</p>

<p class="definition">Definition at line <a class="el" href="../../d8/d5e/expansionbookmenutabserverinfo_8c_source.html#l00088">88</a> of file <a class="el" href="../../d8/d5e/expansionbookmenutabserverinfo_8c_source.html">expansionbookmenutabserverinfo.c</a>.</p>

</div>
</div>
<a id="a5d66eed9189993e74057be43371563db" name="a5d66eed9189993e74057be43371563db"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a5d66eed9189993e74057be43371563db">&#9670;&#160;</a></span>SetView()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void ExpansionBookMenuTabServerInfo::SetView </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d8/d5e/expansionbookmenutabserverinfo_8c_source.html#l00079">79</a> of file <a class="el" href="../../d8/d5e/expansionbookmenutabserverinfo_8c_source.html">expansionbookmenutabserverinfo.c</a>.</p>

</div>
</div>
<h2 class="groupheader">Field Documentation</h2>
<a id="aea1da0224459ea09ea65ddff050e0f6b" name="aea1da0224459ea09ea65ddff050e0f6b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aea1da0224459ea09ea65ddff050e0f6b">&#9670;&#160;</a></span>m_ServerInfoTabController</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">ref <a class="el" href="../../d9/d3a/class_expansion_book_menu_tab_server_info_controller.html">ExpansionBookMenuTabServerInfoController</a> ExpansionBookMenuTabServerInfo::m_ServerInfoTabController</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d8/d5e/expansionbookmenutabserverinfo_8c_source.html#l00015">15</a> of file <a class="el" href="../../d8/d5e/expansionbookmenutabserverinfo_8c_source.html">expansionbookmenutabserverinfo.c</a>.</p>

</div>
</div>
<a id="aa61f5b356a88b2c2fd6868ddef463c07" name="aa61f5b356a88b2c2fd6868ddef463c07"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa61f5b356a88b2c2fd6868ddef463c07">&#9670;&#160;</a></span>m_Tooltip</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">ref <a class="el" href="../../dc/dd0/class_expansion_tooltip_server_setting_entry.html">ExpansionTooltipServerSettingEntry</a> ExpansionBookMenuTabServerInfo::m_Tooltip</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d8/d5e/expansionbookmenutabserverinfo_8c_source.html#l00016">16</a> of file <a class="el" href="../../d8/d5e/expansionbookmenutabserverinfo_8c_source.html">expansionbookmenutabserverinfo.c</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>DayzExpansion/Book/Scripts/5_mission/dayzexpansion_book/book/booktabs/serverinfo/<a class="el" href="../../d8/d5e/expansionbookmenutabserverinfo_8c_source.html">expansionbookmenutabserverinfo.c</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../dd/d65/class_expansion_book_menu_tab_server_info.html">ExpansionBookMenuTabServerInfo</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
